server:
  port: 8660
  servlet:
    context-path: /pars-nft
spring:
  #  # 允许预检请求
  #  mvc:
  #    dispatch-options-request: true
  jmx:
    default-domain: pars-nft
  profiles:
    active: prod
  #  mvc:
  #    static-path-pattern: /**
  #  web:
  #    resources:
  #      static-locations: file:D:\\


#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: cn.szxgl.modules.*.entity
  global-config:
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: AUTO
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl